Loading...
Searching...
No Matches
pappso::MsRunReaderRetentionTimeLine Class Reference

collect retention times along MS run More...

`#include <spectrumcollectionhandlerinterface.h>`

Inheritance diagram for pappso::MsRunReaderRetentionTimeLine:

## Public Member Functions

| MsRunReaderRetentionTimeLine ()
virtual | ~MsRunReaderRetentionTimeLine ()
virtual void | setQualifiedMassSpectrum (const QualifiedMassSpectrum &spectrum) override
virtual bool | needPeakList () const override
| tells if we need the peak list (if we want the binary data) for each spectrum
const std::vector< double > & | getRetentionTimeLine () const
Public Member Functions inherited from pappso::SpectrumCollectionHandlerInterface
virtual bool | needMsLevelPeakList (unsigned int ms_level) const final
| tells if we need the peak list (if we want the binary data) for each spectrum, given an MS level
virtual void | setNeedMsLevelPeakList (unsigned int ms_level, bool want_peak_list) final
| tells if we need the peak list given
virtual bool | shouldStop ()
virtual void | loadingEnded ()
virtual void | spectrumListHasSize (std::size_t size)
virtual void | setReadAhead (bool is_read_ahead) final
| use threads to read a spectrum by batch of batch_size
virtual bool | isReadAhead () const
| tells if we want to read ahead spectrum

## Private Attributes

std::vector< double > | m_retention_time_list

## Detailed Description

collect retention times along MS run

Definition at line 149 of file spectrumcollectionhandlerinterface.h.

## Constructor & Destructor Documentation

## MsRunReaderRetentionTimeLine()

pappso::MsRunReaderRetentionTimeLine::MsRunReaderRetentionTimeLine | ( |  | ) |

Definition at line 217 of file spectrumcollectionhandlerinterface.cpp.

{
// qDebug();
}

## ~MsRunReaderRetentionTimeLine()

pappso::MsRunReaderRetentionTimeLine::~MsRunReaderRetentionTimeLine | ( |  | ) |

virtual

Definition at line 223 of file spectrumcollectionhandlerinterface.cpp.

{
// qDebug();
}

## Member Function Documentation

## getRetentionTimeLine()

const std::vector< double > & pappso::MsRunReaderRetentionTimeLine::getRetentionTimeLine | ( |  | ) | const

Definition at line 246 of file spectrumcollectionhandlerinterface.cpp.

{
return m_retention_time_list;
}
pappso::MsRunReaderRetentionTimeLine::m_retention_time_list
std::vector< double > m_retention_time_list
Definition spectrumcollectionhandlerinterface.h:153

References m_retention_time_list.

Referenced by pappso::MsRunReader::getRetentionTimeLine().

## needPeakList()

bool pappso::MsRunReaderRetentionTimeLine::needPeakList | ( |  | ) | const

override virtual

tells if we need the peak list (if we want the binary data) for each spectrum

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 230 of file spectrumcollectionhandlerinterface.cpp.

{
return false;
}

## setQualifiedMassSpectrum()

void pappso::MsRunReaderRetentionTimeLine::setQualifiedMassSpectrum | ( | const QualifiedMassSpectrum & | spectrum | ) |

override virtual

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 237 of file spectrumcollectionhandlerinterface.cpp.

{
qDebug() << " " << qspectrum.getMassSpectrumId().getNativeId();
m_retention_time_list.push_back(qspectrum.getRtInSeconds());
}

References pappso::QualifiedMassSpectrum::getMassSpectrumId(), pappso::MassSpectrumId::getNativeId(), pappso::QualifiedMassSpectrum::getRtInSeconds(), and m_retention_time_list.

## Member Data Documentation

## m_retention_time_list

std::vector<double> pappso::MsRunReaderRetentionTimeLine::m_retention_time_list

private

Definition at line 153 of file spectrumcollectionhandlerinterface.h.

Referenced by getRetentionTimeLine(), and setQualifiedMassSpectrum().

The documentation for this class was generated from the following files:

- pappsomspp/msrun/spectrumcollectionhandlerinterface.h
- pappsomspp/msrun/spectrumcollectionhandlerinterface.cpp